Package org.apache.ignite.internal.management

## Class DeactivateCommand

- java.lang.Object
- - org.apache.ignite.internal.management.DeactivateCommand

All Implemented Interfaces:
  `Command<DeactivateCommandArg,​NoArg>`, `LocalCommand<DeactivateCommandArg,​NoArg>`, `PreparableCommand<DeactivateCommandArg,​NoArg>`

    @Deprecated
    public class DeactivateCommand
    extends Object
    implements LocalCommand<DeactivateCommandArg,​NoArg>, PreparableCommand<DeactivateCommandArg,​NoArg>

Deprecated.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`DeactivateCommand()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Class<DeactivateCommandArg>` `argClass()` Deprecated.
`String` `confirmationPrompt​(DeactivateCommandArg arg)` Deprecated.
`String` `deprecationMessage​(DeactivateCommandArg arg)` Deprecated.
`String` `description()` Deprecated. Command description.
`NoArg` `execute​(@Nullable GridClient cli, @Nullable IgniteClient client, @Nullable Ignite ignite, DeactivateCommandArg arg, Consumer<String> printer)` Deprecated. Executes command logic.
`boolean` `prepare​(@Nullable GridClient cli, @Nullable IgniteClient client, @Nullable Ignite ignite, DeactivateCommandArg arg, Consumer<String> printer)` Deprecated. Enriches argument with cluster information if required.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeactivateCommand

    public DeactivateCommand()

Deprecated.

### Method Detail

#### description

    public String description()

Deprecated.
Command description.

Specified by:
  `description` in interface `Command<DeactivateCommandArg,​NoArg>`

#### deprecationMessage

    public String deprecationMessage​(DeactivateCommandArg arg)

Deprecated.

Specified by:
  `deprecationMessage` in interface `Command<DeactivateCommandArg,​NoArg>`
Parameters:
  `arg` - Command argument.
Returns:
  Deprecation message if command on the way to being decomissioned.

#### confirmationPrompt

    public String confirmationPrompt​(DeactivateCommandArg arg)

Deprecated.

Specified by:
  `confirmationPrompt` in interface `Command<DeactivateCommandArg,​NoArg>`
Parameters:
  `arg` - Command argument.
Returns:
  Message text to show user for. If `null` it means that confirmation is not needed.

#### execute

    public NoArg execute​(@Nullable
                         @Nullable GridClient cli,
                         @Nullable
                         @Nullable IgniteClient client,
                         @Nullable
                         @Nullable Ignite ignite,
                         DeactivateCommandArg arg,
                         Consumer<String> printer)
                  throws GridClientException

Deprecated.
Executes command logic. Commands invoked in two different environments:

- CLI utility using `GridClient` connection to interact with cluster.
- Inside `Ignite` node therefore local node can be used to interact with cluster.

Please, keep in mind that `GridClient` protocol is obsolete and can be removed in future releases.

Specified by:
  `execute` in interface `LocalCommand<DeactivateCommandArg,​NoArg>`
Parameters:
  `cli` - Optional grid client instance.
  `ignite` - Optional ignite node.
  `arg` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `GridClientException`

#### argClass

    public Class<DeactivateCommandArg> argClass()

Deprecated.

Specified by:
  `argClass` in interface `Command<DeactivateCommandArg,​NoArg>`
Returns:
  Arguments class.

#### prepare

    public boolean prepare​(@Nullable
                           @Nullable GridClient cli,
                           @Nullable
                           @Nullable IgniteClient client,
                           @Nullable
                           @Nullable Ignite ignite,
                           DeactivateCommandArg arg,
                           Consumer<String> printer)
                    throws Exception

Deprecated.
Enriches argument with cluster information if required.

Specified by:
  `prepare` in interface `PreparableCommand<DeactivateCommandArg,​NoArg>`
Parameters:
  `cli` - Grid client to get required information from cluster.
  `arg` - Command argument.
  `printer` - Implementation specific printer.
Returns:
  `True` if command must be executed, `false` otherwise.
Throws:
  `Exception`